.container {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
}

.shadow {
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.5);
    height: 100%;
    width: 100%;
    z-index: 1000;
}

.modal {
    padding: 16px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    background-color: #ffffff;
    z-index: 1001;
}

.modal h1 {
    font-weight: normal;
    font-size: 24px;
}

.buttons {
    width: 100%;
    display: flex;
    justify-content: flex-end;
    margin-top: 16px;
}

.buttons button {
    border: none;
    background: none;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 14px;
    padding: 4px 16px;
    cursor: pointer;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
    -webkit-transition: background-color 0.3s;
    -moz-transition: background-color 0.3s;
    -ms-transition: background-color 0.3s;
    -o-transition: background-color 0.3s;
    transition: background-color 0.3s;
}

.buttons button:hover,
.buttons button:active {
    background-color: rgba(0, 0, 0, 0.1);
}

.saveButton {
    color: green;
}

.cancelButton {
    color: red;
}
